/**
  * Programm zur Berechnung des ggT
  * @version 1.0 from 25.01.2011
  * @author  T. Hempel
  */

public class ggT {
  public static void main(String[] args) {
    int a = IO.getInt("Geben Sie die Zahl a ein.");
    int b = IO.getInt("Geben Sie die Zahl b ein.");
    while (a != b) {
      if (a > b) {
        a = a - b;
      }
      else {
        b = b - a;
      }
    }
    IO.show("Der ggT ist "+a+".");
  }
}